package com.zfire.jiasm.syncdata.service;

import java.util.List;
import java.util.Map;

public interface SMSService {
	
	public List<Map<String, Object>> getTaskData(String tabName);
	
	public List<Map<String, Object>> getTaskData4Self();
	
	public void successUpdate(String tabName,String synTaskNo);
	
	public void errorUpdate(String tabName,int synTimes,String synTaskNo,String errorMessage);

	public List<Map<String, Object>> getTaskMarkeginData4Self();
	public List<Map<String, Object>> getTaskExceptionData();
	public void stopSendUpdate(String tabName,int synTimes,String synTaskNo,String errorMessage);

}
